Package org.eclipse.birt.report.model.api

# Class JoinConditionHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle
org.eclipse.birt.report.model.api.StructureHandle
org.eclipse.birt.report.model.api.JoinConditionHandle

public class JoinConditionHandle extends StructureHandle
Represents a handle of condition used for joint dataset. The joint dataset is dataset joined by several normal datasets on join conditions. Each join condition has following properties:

Join Type
  the join type of the join condition which can be inner join, left out join and right out join.

Operator
  the join condition's comparison operator

Left Dataset
  the left dataset of the join condition.

Right Dataset
  the right dataset of the join condition.

Left Expression
  the left expression of the join condition.

Right Expression
  the right expression of the join condition.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle

`structContext`

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`JoinConditionHandle(SimpleValueHandle valueHandle, int index)`
Constructs the handle of join condition.

## Method Summary

Modifier and Type
Method
Description
`String`
`getJoinType()`
Returns join type value this condition.
`String`
`getLeftDataSet()`
Returns left data set value this condition.
`String`
`getLeftExpression()`
Returns left expression value this condition.
`String`
`getOperator()`
Returns operator value this condition.
`Object`
`getProperty(String memberName)`
Gets the value of a member.
`String`
`getRightDataSet()`
Returns right data set value this condition.
`String`
`getRightExpression()`
Returns right expression value this condition.
`protected String`
`getStringProperty(String memberName)`
Get the string value of a member.
`void`
`setJoinType(String type)`
Sets the join type value of this condition.
`void`
`setLeftDataSet(String leftDataset)`
Sets the left data set value of this condition.
`void`
`setLeftExpression(String leftExpression)`
Sets the left expression value of this condition.
`void`
`setOperator(String operator)`
Sets the operator value of this condition.
`void`
`setRightDataSet(String rightDataset)`
Sets the right data set value of this condition.
`void`
`setRightExpression(String rightExpression)`
Sets the right expression value of this condition.

### Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle

`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getPropertyDefn, getStructure, isDesignTime, isLocal, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

### Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle

`getReference`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JoinConditionHandle

public JoinConditionHandle(SimpleValueHandle valueHandle, int index)
Constructs the handle of join condition.

Parameters:
  `valueHandle` - the value handle for join condition list of one property
  `index` - the position of this join condition in the list

## Method Details

### setJoinType

public void setJoinType(String type) throws SemanticException
Sets the join type value of this condition.

Parameters:
  `type` - the join type to set
Throws:
  `SemanticException`

### getJoinType

public String getJoinType()
Returns join type value this condition.

Returns:
  the join type value

### setOperator

public void setOperator(String operator) throws SemanticException
Sets the operator value of this condition.

Parameters:
  `operator` - the operator to set
Throws:
  `SemanticException`

### getOperator

public String getOperator()
Returns operator value this condition.

Returns:
  the operator value

### setLeftDataSet

public void setLeftDataSet(String leftDataset)
Sets the left data set value of this condition.

Parameters:
  `leftDataset` - the left data set to set

### getLeftDataSet

public String getLeftDataSet()
Returns left data set value this condition.

Returns:
  the left data set value

### setRightDataSet

public void setRightDataSet(String rightDataset)
Sets the right data set value of this condition.

Parameters:
  `rightDataset` - the right data set to set

### getRightDataSet

public String getRightDataSet()
Returns right data set value this condition.

Returns:
  the right data set value

### setLeftExpression

public void setLeftExpression(String leftExpression)
Sets the left expression value of this condition.

Parameters:
  `leftExpression` - the left expression to set

### getLeftExpression

public String getLeftExpression()
Returns left expression value this condition.

Returns:
  the left expression value

### setRightExpression

public void setRightExpression(String rightExpression)
Sets the right expression value of this condition.

Parameters:
  `rightExpression` - the right expression to set

### getRightExpression

public String getRightExpression()
Returns right expression value this condition.

Returns:
  the right expression value

### getProperty

public Object getProperty(String memberName)
Description copied from class: `StructureHandle`
Gets the value of a member.

Overrides:
  `getProperty` in class `StructureHandle`
Parameters:
  `memberName` - name of the member to get
Returns:
  String value of the member, or `null` if the member is not set or is not found.

### getStringProperty

protected String getStringProperty(String memberName)
Description copied from class: `StructureHandle`
Get the string value of a member.

Overrides:
  `getStringProperty` in class `StructureHandle`
Parameters:
  `memberName` - name of the member to get
Returns:
  String value of the member, or `null` if the member is not set or is not found.